part of '../customer.dart';

@freezed
sealed class CustomerFailure with _$CustomerFailure {
  const factory CustomerFailure.serverError(ApiFailure failure) = _ServerError;
  const factory CustomerFailure.unexpectedError() = _UnexpectedError;
  const factory CustomerFailure.dynamicErrorMessage(String erroMessage) =
      _DynamicErrorMessage;
}
